# QItemSelectionRange Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QItemSelectionRange()
- void QItemSelectionRange(QItemSelectionRange other)
- void QItemSelectionRange(QModelIndex index)
- void QItemSelectionRange(QModelIndex topLeft, QModelIndex bottomRight)

### Constructor Properties

- prototype: The QItemSelectionRange prototype object

### Prototype Object Properties

- int bottom()
- QModelIndex bottomRight()
- bool contains(QModelIndex index)
- int height()
- List indexes()
- QItemSelectionRange intersected(QItemSelectionRange other)
- bool intersects(QItemSelectionRange other)
- bool isEmpty()
- bool isValid()
- int left()
- QAbstractItemModel model()
- bool operator_equal(QItemSelectionRange other)
- bool operator_less(QItemSelectionRange other)
- QModelIndex parent()
- int right()
- int top()
- QModelIndex topLeft()
- int width()

### Instance Properties

QItemSelectionRange objects have no special properties beyond those inherited from the QItemSelectionRange prototype object.